{% extends 'base.html' %}

{% block content %}
{% autoescape false %}
<section class="gn-main-content">

    {% if categories|length < 1 %}
        <div class="fr-alert fr-alert--warning fr-mb-2w">
            <h3 class="fr-alert__title">Aucune cat&eacute;gorie pr&eacute;sente.</h3>
            <p>Vous ne pourrez pas transformer d'information en contenu.</p>
            <p>Veuillez d'abord ajouter au moins une cat&eacute;gorie dans la section <strong>Mes Contenus</strong> > <strong>Cat&eacute;gories</strong></p>
        </div>
    {% endif %}
    {% if contents|length < 1 %}
        <div class="fr-alert fr-alert--info fr-mb-2w">
            <h3 class="fr-alert__title">Aucun contenu pr&eacute;sent.</h3>
            <p>Vous ne pourrez pas ajouter d'information &agrave; un contenu.</p>
        </div>
    {% endif %}

    <div class="fr-col-12">
        <span class="fr-tag">Nombre d'informations <span id="informationTotal" class="badge badge-light ml-3">
                <div class="spinner-border" role="status">
                    <span class="sr-only">Chargement...</span>
                </div>
            </span>
        </span>
    </div>
    <div class="fr-col-12 fr-mt-2w">
        <div id="information-toolbar">
        </div>
        <table
            aria-describedby="Liste des emails d'information"
            id="information-table"
            data-toggle="table"
            data-toolbar="#information-toolbar"
            data-show-export="true"
            data-export-data-type="all"
            data-export-types="['csv']"
            data-show-columns="true"
            data-loading-template="loadingTemplateInformation"
            data-ajax="ajaxRequestInformation">
            <thead>
                <tr>
                    <th data-field="subjectHTML" data-sortable="true" data-width="50" data-width-unit="%">Sujet</th>
                    <th data-field="date" data-formatter="dateFormatter" data-sortable="true" data-width="20" data-width-unit="%">Date</th>
                    <th data-field="fromHTML" data-sortable="true" data-width="20" data-width-unit="%">Exp&eacute;diteur</th>
                    <th data-formatter="actionFormatterInformationList" data-searchable="false" data-events="window.operateEvents" data-align="center" data-width="10" data-width-unit="%">Actions</th>
                </tr>
            </thead>
        </table>
    </div>
</section>

{% include 'modals/information/view-information.html' %}
{% include 'modals/information/transform-information.html' %}
{% include 'modals/information/concat-information.html' %}

{% endautoescape %}
{% endblock %}

{% block script %}

{% include '/scripts/bootstrap-table-imports.html' %}
{% include '/scripts/bootstrap-table-information.html' %}

{% endblock %}
